NX Open C++ Reference Guide
|
Represents a Lower Binder builder
To create a new instance of this class, use Tooling::AutoDieCollection::CreateDieDesignLowerBinderBuilder
Created in NX9.0.0.
More...
Public Member Functions | |
NXOpen::Plane * | BasePlane () |
Returns the base plane used to create Lower Binder Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | BinderProfiles () |
Returns the binder profiles used to create Lower Binder Created in NX9.0.0. | |
double | BinderRelief () |
Returns the binder relief Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | BlankProfile () |
Returns the blank profile used to create Lower Binder Created in NX9.0.0. | |
double | BlankProfileOffset () |
Returns the blank profile offset Created in NX9.0.0. | |
int | CoreDirection () |
Returns the core direction determines the direction of Lower Binder Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | DeckProfile () |
Returns the deck profile used to create Lower Binder Created in NX9.0.0. | |
bool | IsApproxSheetBody () |
Returns the exact sheet determines whether to use machine allowance Created in NX9.0.0. | |
bool | IsExactBinderProfiles () |
Returns the exact binder profiles determines whether to use offset value Created in NX9.0.0. | |
double | LowerDeckThickness () |
Returns the lower deck thickness Created in NX9.0.0. | |
double | MachineAllowance () |
Returns the machine allowance Created in NX9.0.0. | |
double | OffsetValue () |
Returns the offset value Created in NX9.0.0. | |
NXOpen::SelectNXObjectList * | OutterWallProfile () |
Returns the inner profile used in Lower Binder, it is optional Created in NX9.0.0. | |
double | OutWallThickness () |
Returns the out wall thickness Created in NX9.0.0. | |
void | SetApproxSheetBody (bool isExactSheet) |
Sets the exact sheet determines whether to use machine allowance Created in NX9.0.0. | |
void | SetBasePlane (NXOpen::Plane *basePlane) |
Sets the base plane used to create Lower Binder Created in NX9.0.0. | |
void | SetBinderRelief (double binderRelief) |
Sets the binder relief Created in NX9.0.0. | |
void | SetBlankProfileOffset (double blankProfileOffset) |
Sets the blank profile offset Created in NX9.0.0. | |
void | SetCoreDirection (int coreDirection) |
Sets the core direction determines the direction of Lower Binder Created in NX9.0.0. | |
void | SetExactBinderProfiles (bool isExactBinderProfiles) |
Sets the exact binder profiles determines whether to use offset value Created in NX9.0.0. | |
void | SetLowerDeckThickness (double lowerDeckThickness) |
Sets the lower deck thickness Created in NX9.0.0. | |
void | SetMachineAllowance (double machineAllowance) |
Sets the machine allowance Created in NX9.0.0. | |
void | SetOffsetValue (double offsetValue) |
Sets the offset value Created in NX9.0.0. | |
void | SetOutWallThickness (double outWallThickness) |
Sets the out wall thickness Created in NX9.0.0. | |
void | SetUpperDeckRelief (double upperDeckRelief) |
Sets the upper deck relief Created in NX9.0.0. | |
void | SetUpperDeckThickness (double upperDeckThickness) |
Sets the upper deck thickness Created in NX9.0.0. | |
void | SetWallThickness (double wallThickness) |
Sets the wall thickness Created in NX9.0.0. | |
NXOpen::SelectBody * | SheetBody () |
Returns the sheet body used as sheet metal product Created in NX9.0.0. | |
NXOpen::SelectBody * | UpperDeckOffsetSheet () |
Returns the upper deck offset sheet used in Lower Binder, it is optional Created in NX9.0.0. | |
double | UpperDeckRelief () |
Returns the upper deck relief Created in NX9.0.0. | |
NXOpen::SelectBody * | UpperDeckReliefSheet () |
Returns the upper deck relief sheet used in Lower Binder, it is optional Created in NX9.0.0. | |
double | UpperDeckThickness () |
Returns the upper deck thickness Created in NX9.0.0. | |
double | WallThickness () |
Returns the wall thickness Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Lower Binder builder
To create a new instance of this class, use Tooling::AutoDieCollection::CreateDieDesignLowerBinderBuilder
Created in NX9.0.0.
NXOpen::Plane* NXOpen::Tooling::DieDesignLowerBinderBuilder::BasePlane | ( | ) |
Returns the base plane used to create Lower Binder
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::SelectNXObjectList* NXOpen::Tooling::DieDesignLowerBinderBuilder::BinderProfiles | ( | ) |
Returns the binder profiles used to create Lower Binder
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::BinderRelief | ( | ) |
Returns the binder relief
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::SelectNXObjectList* NXOpen::Tooling::DieDesignLowerBinderBuilder::BlankProfile | ( | ) |
Returns the blank profile used to create Lower Binder
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::BlankProfileOffset | ( | ) |
Returns the blank profile offset
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
int NXOpen::Tooling::DieDesignLowerBinderBuilder::CoreDirection | ( | ) |
Returns the core direction determines the direction of Lower Binder
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::SelectNXObjectList* NXOpen::Tooling::DieDesignLowerBinderBuilder::DeckProfile | ( | ) |
Returns the deck profile used to create Lower Binder
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Tooling::DieDesignLowerBinderBuilder::IsApproxSheetBody | ( | ) |
Returns the exact sheet determines whether to use machine allowance
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Tooling::DieDesignLowerBinderBuilder::IsExactBinderProfiles | ( | ) |
Returns the exact binder profiles determines whether to use offset value
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::LowerDeckThickness | ( | ) |
Returns the lower deck thickness
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::MachineAllowance | ( | ) |
Returns the machine allowance
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::OffsetValue | ( | ) |
Returns the offset value
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::SelectNXObjectList* NXOpen::Tooling::DieDesignLowerBinderBuilder::OutterWallProfile | ( | ) |
Returns the inner profile used in Lower Binder, it is optional
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::OutWallThickness | ( | ) |
Returns the out wall thickness
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetApproxSheetBody | ( | bool | isExactSheet | ) |
Sets the exact sheet determines whether to use machine allowance
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
isExactSheet | isexactsheet |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetBasePlane | ( | NXOpen::Plane * | basePlane | ) |
Sets the base plane used to create Lower Binder
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
basePlane | baseplane |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetBinderRelief | ( | double | binderRelief | ) |
Sets the binder relief
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
binderRelief | binderrelief |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetBlankProfileOffset | ( | double | blankProfileOffset | ) |
Sets the blank profile offset
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
blankProfileOffset | blankprofileoffset |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetCoreDirection | ( | int | coreDirection | ) |
Sets the core direction determines the direction of Lower Binder
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
coreDirection | coredirection |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetExactBinderProfiles | ( | bool | isExactBinderProfiles | ) |
Sets the exact binder profiles determines whether to use offset value
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
isExactBinderProfiles | isexactbinderprofiles |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetLowerDeckThickness | ( | double | lowerDeckThickness | ) |
Sets the lower deck thickness
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
lowerDeckThickness | lowerdeckthickness |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetMachineAllowance | ( | double | machineAllowance | ) |
Sets the machine allowance
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
machineAllowance | machineallowance |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetOffsetValue | ( | double | offsetValue | ) |
Sets the offset value
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
offsetValue | offsetvalue |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetOutWallThickness | ( | double | outWallThickness | ) |
Sets the out wall thickness
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
outWallThickness | outwallthickness |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetUpperDeckRelief | ( | double | upperDeckRelief | ) |
Sets the upper deck relief
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
upperDeckRelief | upperdeckrelief |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetUpperDeckThickness | ( | double | upperDeckThickness | ) |
Sets the upper deck thickness
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
upperDeckThickness | upperdeckthickness |
void NXOpen::Tooling::DieDesignLowerBinderBuilder::SetWallThickness | ( | double | wallThickness | ) |
Sets the wall thickness
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
wallThickness | wallthickness |
NXOpen::SelectBody* NXOpen::Tooling::DieDesignLowerBinderBuilder::SheetBody | ( | ) |
Returns the sheet body used as sheet metal product
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::SelectBody* NXOpen::Tooling::DieDesignLowerBinderBuilder::UpperDeckOffsetSheet | ( | ) |
Returns the upper deck offset sheet used in Lower Binder, it is optional
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::UpperDeckRelief | ( | ) |
Returns the upper deck relief
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::SelectBody* NXOpen::Tooling::DieDesignLowerBinderBuilder::UpperDeckReliefSheet | ( | ) |
Returns the upper deck relief sheet used in Lower Binder, it is optional
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::UpperDeckThickness | ( | ) |
Returns the upper deck thickness
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")
double NXOpen::Tooling::DieDesignLowerBinderBuilder::WallThickness | ( | ) |
Returns the wall thickness
Created in NX9.0.0.
License requirements : ug_die_design ("Die Design")